import static org.junit.Assert.assertEquals;
import org.netbeans.jemmy.*;
import org.netbeans.jemmy.operators.*;

public class GUITest implements Scenario {

	public int runIt(Object param) {
		final String TEXT = "Inżynieria Programowania";
		try {
			new ClassReference("pl.kielce.tu.GUI").startApplication();
			JFrameOperator jfo = new JFrameOperator("GUITester");
			JTextFieldOperator jtfo = new JTextFieldOperator(jfo);
			JTextAreaOperator jtao = new JTextAreaOperator(jfo);
			JButtonOperator jbo = new JButtonOperator(jfo,"Dodaj");
			
			for(int i=0;i<1000;i++) {
				jtfo.setText(TEXT);
				jbo.push();
				String output = jtao.getText().trim();
				assertEquals("(TextArea) Błąd ustawienia tekstu.",TEXT,output);
				System.out.println(output);
				jtao.selectAll();
				jtao.replaceSelection("");
			}
			
		} catch(Exception e) {
			e.printStackTrace();
			return 1;
		}
		return 0;
	}
	
	public static void main(String[] args) {
		String[] params = {"GUITest"};
		org.netbeans.jemmy.Test.main(params);
	}

}
